Vsan System Ex Vsan Query Host Status Ex

Vsan System Ex Vsan Query Host Status Ex
Query this host's current runtime status for the VSAN service.

Query this host's current runtime status for the VSAN service.

Required privileges: System.Read

Request
URI
POST
https://{vcenter-host}/sdk/vim25/{release}/vsan/VsanSystemEx/{moId}/VsanQueryHostStatusEx
COPY
Path Parameters
string
moId
Required

The unique identifier for the managed object to which the method attaches; the serialized managed object reference for a request has the form moType/moId, in this case VsanSystemEx/{moId}.

string
release
Required

The vSphere release schema. The current specification covers vSphere 9.1.0.0 APIs.


Request Body
VsanQueryHostStatusExRequestType of type(s) application/json
Optional
{
    "clusterUuids": [
        "string"
    ]
}
array of string
clusterUuids
Optional

A list of vSAN cluster uuids. If this parameter is provided, we will only return the runtime status of recognized clusters; And if it is omitted, we will return that of all clusters associated to this host.

Authentication
This operation uses the following authentication methods.
Responses
200

an array of ClusterStatus which represent host's cluster status information for the vSAN service.

[
    {
        "_typeName": "string",
        "uuid": "string",
        "nodeUuid": "string",
        "health": "string",
        "nodeState": {
            "_typeName": "string",
            "state": "string",
            "completion": {
                "_typeName": "string",
                "completeTime": "string",
                "percentComplete": 0
            }
        },
        "memberUuid": [
            "string"
        ]
    }
]
array of object
Optional

The VsanHostClusterStatus data object contains a host's cluster status information for the VSAN service.

This data object is used to represent read-only state whose values may change during operation.

See also QueryHostStatus.


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/sdk/vim25/{release}/vsan/VsanSystemEx/{moId}/VsanQueryHostStatusEx